<div class="container">
	<div class="card-wrapper">
		<mat-card class="mat-elevation-z1 custom-card">
			<mat-card-header class="justify-content-center">
				<mat-card-title>
					<h2>Register</h2>
				</mat-card-title>
			</mat-card-header>
			<form [formGroup]="registerForm">
				<mat-card-content>
					<mat-form-field>
						<input formControlName="userName" matInput name="userName" placeholder="UserName*" type="text">
					</mat-form-field>
					<mat-form-field>
						<input formControlName="email" matInput name="email" placeholder="Email*" type="text">
					</mat-form-field>
					<mat-form-field>
						<input formControlName="password" matInput name="password" placeholder="Password*"
							type="password">
					</mat-form-field>
					<mat-form-field>
						<input formControlName="confirmPassword" matInput name="confirmPassword"
							placeholder="Confirm Password*" type="password">
					</mat-form-field>
					<mat-form-field>
						<input formControlName="displayName" matInput name="displayName" placeholder="Displayname"
							type="text">
					</mat-form-field>
					<div class="name-field"> 
						<mat-label>Name</mat-label>
						<mat-form-field class="margin-right">
							<input formControlName="firstName" matInput name="firstName" placeholder="First Name*"
								type="text">
						</mat-form-field>
						<mat-form-field>
							<input formControlName="lastName" matInput name="lastName" placeholder="Last Name*"
								type="text">
						</mat-form-field>
					</div>
					<mat-form-field>
						<input formControlName="nickName" matInput name="nickName" placeholder="Nickname" type="text">
					</mat-form-field>
					<mat-form-field>
						<input formControlName="website" matInput name="website" placeholder="Website" type="text">
					</mat-form-field>
					<mat-form-field>
						<input formControlName="bio" matInput name="bio" placeholder="Bio" type="textarea">
					</mat-form-field>
					<mat-form-field>
						<input formControlName="jabber" matInput name="jabber" placeholder="Jabber" type="text">
					</mat-form-field>
					<mat-form-field>
						<input formControlName="aolIm" matInput name="aolIm" placeholder="AOL IM" type="text">
					</mat-form-field>
					<mat-form-field>
						<input formControlName="yahooIm" matInput name="yahooIm" placeholder="Yahoo IM" type="text">
					</mat-form-field>
				</mat-card-content>
				<mat-card-actions class="text-center">
					<button (click)="onRegister($event)" color="primary"
						mat-raised-button type="button">Register
					</button>
					<button (click)="onCancel($event)" color="primary" mat-raised-button type="button">Cancel
					</button>
				</mat-card-actions>
			</form>
			<div class="error-message" *ngIf="error">{{ error }}</div>
		</mat-card>
	</div>
</div>
